sdt.h File Reference
Digital TV table parsing

Provides the descriptors for SDT MPEG-TS table. More...

`#include <stdint.h>`
`#include <unistd.h>`
`#include <libdvbv5/header.h>`

Go to the source code of this file.

## Data Structures

struct | dvb_table_sdt_service
| MPEG-TS SDT service table. More...
struct | dvb_table_sdt
| MPEG-TS SDT table. More...

## Macros

#define | DVB_TABLE_SDT
| SDT table ID.
#define | DVB_TABLE_SDT2
| SDT table ID (alternative table ID).
#define | DVB_TABLE_SDT_PID
| SDT Program ID.
#define | dvb_sdt_service_foreach(_service, _sdt)
| Macro used to find services on a SDT table.

## Functions

ssize_t | dvb_table_sdt_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, ssize_t buflen, struct dvb_table_sdt **table)
| Initializes and parses SDT table.
void | dvb_table_sdt_free (struct dvb_table_sdt *table)
| Frees all data allocated by the SDT table parser.
void | dvb_table_sdt_print (struct dvb_v5_fe_parms *parms, struct dvb_table_sdt *table)
| Prints the content of the SDT table.

## Detailed Description

Provides the descriptors for SDT MPEG-TS table.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab
  Andre Roth

Relevant specs
  The table described herein is defined at:
  - ISO/IEC 13818-1

See also
  http://www.etherguidesystems.com/Help/SDOs/dvb/syntax/tablesections/SDT.aspx

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file sdt.h.